#!/usr/local/bin/php
<?php
/*
 * $Id: UtilOutputTest.php,v 1.1.1.1 2003/12/13 11:04:19 jjlehto Exp $
 */

define("JJ_DIR", "/usr/local/php/JJ");
$inc_path = ini_get("include_path");
$inc_path .= ":" .JJ_DIR;
ini_set("include_path", $inc_path);

require_once("Util/Output.php");

$argc = $_SERVER['argc'];
$argv = $_SERVER['argv'];

if (isset($argv[3])) {
    //$out = new Util_Output($argv[1], $argv[2], JJ_BATCH_NUMBER, $argv[3]);
    $out = new Util_Output($argv[1], $argv[2], JJ_BATCH_DATE, $argv[3]);
} else {
    //$out = new Util_Output($argv[1], $argv[2], JJ_BATCH_NUMBER);
    $out = new Util_Output($argv[1], $argv[2], JJ_BATCH_DATE);
}
while ($out->hasNext()) {
    echo $out->next();
}
echo ("\n--------\n");
$out->printAll("\n");
?>
